New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
System

List CUDA GPU devices

GET
/api/v1/system/gpu-devices

Return available CUDA devices with names/VRAM and the currently selected index.

Response Body

Successful Response

application/json
  1. response
devices*array<>

Available CUDA GPU devices

current_index*Current Index

Currently selected device index

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/system/gpu-devices'
Example Response200
{  "devices": [    {      "index": 0,      "name": "string",      "vram_mb": 0    }  ],  "current_index": 0}